Package Details: x264transcode 0.3.1-1

Git Clone URL: https://aur.archlinux.org/x264transcode.git (read-only)
Package Base: x264transcode
Description: Script for automated backup of DVDs, SD VOB and HD M2TS files. Rips ALL subtitles, ALL audio tracks and chapter info into a MKV container. Video stream is cropped to get rid of black borders.
Upstream URL: http://www2.warwick.ac.uk/fac/sci/csc/people/computingstaff/jaroslaw_zachwieja/x264transcode
Licenses: GPL3
Submitter: nous
Maintainer: nous
Last Packager: nous
Votes: 35
Popularity: 0.786913
First Submitted: 2011-02-14 22:42
Last Updated: 2015-10-14 18:52

Dependencies (6)

Required by (0)

Sources (1)

Latest Comments

nous commented on 2015-10-14 18:53

Done.

Voice commented on 2015-10-12 00:31

PKGBUILD depends change, no more mkvtoolnix, use mkvtoolnix-cli.

nous commented on 2012-10-16 17:53

Updated, thanks for the heads up.

th001 commented on 2012-10-16 00:40

please update to 0.3.1, thanks

th001 commented on 2012-10-16 00:40

please update to 0.3.1, thanls

juantascon commented on 2011-04-25 15:29

please update to 0.3.0, thanks

nous commented on 2011-03-16 19:54

Actually, autorip.py's shebang should use python2 (which is covered by other dependencies). I updated the PKGBUILD to sed python with python2. Thanks.

rafmav commented on 2011-03-16 12:55

x264transcode 0.2.9-2 (mer. mars 16 13:56:43 CET 2011)

this is the namcap answer:
x264transcode E: Dependency detected and not included (python) from files ['usr/bin/autorip.py']
x264transcode W: Dependency included and not needed ('ogmtools')
x264transcode W: Dependency included and not needed ('lsdvd')
x264transcode W: Dependency included and not needed ('mkvtoolnix')
x264transcode W: Dependency included and not needed ('dbus-python')
x264transcode W: Dependency included and not needed ('pygobject')

please add 'python' in the dependencies.

artemklevtsov commented on 2011-02-28 12:54

@nous: thancks for reply. I thought as much.

nous commented on 2011-02-28 10:45

The mplayer situation is somewhat complicated, as extra/mplayer provider the mencoder binary, considering it an integral part and thus not providing it in its 'provides' array, while other mplayer packages from the AUR disable mencoder. But you are right, the majority of the user base don't need mencoder separately. I'm fixing it - in the meantime you can edit the PKGBUILD and remove 'mencoder' from the 'depends' array.

artemklevtsov commented on 2011-02-27 17:29

Why mencoder build from AUR as depend? When was installed mplayer from extra mencoder also has installed.
yaourt -Qs mplayer
extra/mplayer 32792-2
A movie player for linux
whereis mencoder
mencoder: /usr/bin/mencoder /usr/share/man/man1/mencoder.1.gz

artemklevtsov commented on 2011-02-27 17:28

Why mencoder build from AUR as depend? When was installed mplayer from extra mencoder also has installed.